[typo] Errors running script/server

Patrick Lenz patrick at lenz.sh
Tue Apr 19 10:18:45 EDT 2005


FWIW, Debian currently features erb.rb in the package libruby1.8 for  
the unstable distribution. Stable doesn't even have ruby 1.8 yet  
(*sigh*)

http://packages.debian.org/unstable/libs/libruby1.8


On Apr 19, 2005, at 4:14 PM, Tobias Luetke wrote:

> Getting ruby to run under debian based linux flavors is always hard.
> It seems like in your case ERB is missing, see if apt-cache search erb
> turns something up though.
>
> The easiest thing is to compile your own ruby and not rely on the  
> packages.
>
> On 4/19/05, Edwin Sheldon <esheldon at hungsquirrel.org> wrote:
>
>> Hello,
>>
>> I am trying to install typo on Ubuntu Linux using ruby 1.8.2 and  
>> mysql
>> 4.0.23.  I installed gems and used it to install rails (and its
>> dependencies) and redcloth, following the instructions, and edited  
>> the
>> appropriate config files.  However, when I ran script/server, I  
>> ran into
>> errors.  The errors continued after I also tried using the beta  
>> version of
>> rails.  Am I missing an important step?
>>
>> Thanks for your time,
>> Edwin
>>
>> --------------------------
>>
>> $ ruby script/server
>> /usr/lib/ruby/gems/1.8/gems/actionpack-1.8.0/lib/ 
>> action_controller.rb:52:
>> undefined method `template_class=' for ActionController::Base:Class
>> (NoMethodError)
>>         from /usr/local/lib/site_ruby/1.8/rubygems/ 
>> custom_require.rb:18:in
>> `require__'
>>         from /usr/local/lib/site_ruby/1.8/rubygems/ 
>> custom_require.rb:18:in
>> `require'
>>         from
>> /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/active_support/ 
>> dependencies.rb:197:in
>> `require'
>>         from /usr/local/lib/site_ruby/1.8/rubygems.rb:175:in  
>> `activate'
>>         from /usr/local/lib/site_ruby/1.8/rubygems.rb:37:in
>> `require_gem_with_options'
>>         from /usr/local/lib/site_ruby/1.8/rubygems.rb:31:in  
>> `require_gem'
>>         from ./script/../config/environment.rb:33
>>         from script/server:45:in `require'
>>         from script/server:45
>>
>> _______________________________________________
>> Typo-list mailing list
>> Typo-list at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/typo-list
>>
>>
>
>
> -- 
> Tobi
> http://www.snowdevil.ca - Snowboards that don't suck
> http://www.hieraki.org   - Open source book authoring
> http://blog.leetsoft.com - Technical weblog
>
> _______________________________________________
> Typo-list mailing list
> Typo-list at rubyforge.org
> http://rubyforge.org/mailman/listinfo/typo-list
>
>

--                                                                       
                                                     
Patrick Lenz (scoop)
patrick at lenz.sh

Phone: +49-611-333-4722
Mobile: +49-179-202-6678

[ poocs.net - freshmeat.net - rsmodels.net - topmedia.de -  
wiesbadeneins.de ]





More information about the Typo-list mailing list